Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class SignatureSpi

    java.lang.Object
      com.mindbright.jca.security.SignatureSpi

Direct Known Subclasses:
  BaseSignature, Signature

public abstract class SignatureSpi
extends java.lang.Object

Field Summary
`protected SecureRandom` | `appRandom`

Constructor Summary
`SignatureSpi()`

Method Summary
`java.lang.Object` | `clone()`
`protected abstract java.lang.Object` | `engineGetParameter(java.lang.String param)`
`protected abstract void` | `engineInitSign(PrivateKey privateKey)`
`protected abstract void` | `engineInitSign(PrivateKey privateKey, SecureRandom random)`
`protected abstract void` | `engineInitVerify(PublicKey publicKey)`
`protected void` | `engineSetParameter(AlgorithmParameterSpec params)`
`protected abstract void` | `engineSetParameter(java.lang.String param, java.lang.Object value)`
`protected abstract byte[]` | `engineSign()`
`protected int` | `engineSign(byte[] outbuf, int offset, int len)`
`protected abstract void` | `engineUpdate(byte b)`
`protected abstract void` | `engineUpdate(byte[] b, int off, int len)`
`protected abstract boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appRandom

    protected SecureRandom appRandom

Constructor Detail

### SignatureSpi

    public SignatureSpi()

Method Detail

### engineInitVerify

    protected abstract void engineInitVerify(PublicKey publicKey)
                                      throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### engineInitSign

    protected abstract void engineInitSign(PrivateKey privateKey)
                                    throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### engineInitSign

    protected abstract void engineInitSign(PrivateKey privateKey,
                                           SecureRandom random)
                                    throws InvalidKeyException

  Throws:
    `InvalidKeyException`

### engineUpdate

    protected abstract void engineUpdate(byte b)
                                  throws SignatureException

  Throws:
    `SignatureException`

### engineUpdate

    protected abstract void engineUpdate(byte[] b,
                                         int off,
                                         int len)
                                  throws SignatureException

  Throws:
    `SignatureException`

### engineSign

    protected abstract byte[] engineSign()
                                  throws SignatureException

  Throws:
    `SignatureException`

### engineSign

    protected int engineSign(byte[] outbuf,
                             int offset,
                             int len)
                      throws SignatureException

  Throws:
    `SignatureException`

### engineVerify

    protected abstract boolean engineVerify(byte[] sigBytes)
                                     throws SignatureException

  Throws:
    `SignatureException`

### engineSetParameter

    protected abstract void engineSetParameter(java.lang.String param,
                                               java.lang.Object value)
                                        throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### engineSetParameter

    protected void engineSetParameter(AlgorithmParameterSpec params)
                               throws InvalidAlgorithmParameterException

  Throws:
    `InvalidAlgorithmParameterException`

### engineGetParameter

    protected abstract java.lang.Object engineGetParameter(java.lang.String param)
                                                    throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD